<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateNoticeboardAssignsTable extends Migration
{
    public function up()
    {
        Schema::create('noticeboard_assigns', function (Blueprint $table) {
            $table->id();
            $table->integer('noticeboard_id');
            $table->integer('course_id')->nullable();
            $table->integer('role_id')->nullable();
            $table->timestamps();
        });
    }

    public function down()
    {
        Schema::dropIfExists('noticeboard_assigns');
    }
}
